/*
    SUPPL - a supplemental library for common useage
    Copyright (C) 1995,1996  Steffen Kaiser

    This library is free software; you can redistribute it and/or
    modify it under the terms of the GNU Library General Public
    License as published by the Free Software Foundation; either
    version 2 of the License, or (at your option) any later version.

    This library is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
    Library General Public License for more details.

    You should have received a copy of the GNU Library General Public
    License along with this library; if not, write to the Free
    Software Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
    See: COPYING.LB
*/
/* $RCSfile: CTRLBRK.C $
   $Locker:  $	$Name:  $	$State: Exp $

	^Break function handler installer.	(see cb_catch.asm)

	Installs a handler for the ^Break signal.
	longjmp() should be possible inside that handler.
	If the handler is NULL, ^Break performs an "exit(3)".

	Micro-C only.

*/

#ifdef _MICROC_
#include <portable.h>
#include <freedos.h>

extern void _cbreak_catcher(void);

#ifndef lint
static char const rcsid[] = 
	"$Id: CTRLBRK.C 2.1 1996/11/08 03:18:16 ska Exp $";
#endif

unsigned _fct_cbreak = 0		; /* addr of fct to invoke */

void ctrlbrk(int *fct)
/* Install the ^Break catcher */
{	_fct_cbreak = fct;
	set_vector(0x23, _CS, aF(_cbreak_catcher));
}
#endif
