/*
    SUPPL - a supplemental library for common useage
    Copyright (C) 1995,1996  Steffen Kaiser

    This library is free software; you can redistribute it and/or
    modify it under the terms of the GNU Library General Public
    License as published by the Free Software Foundation; either
    version 2 of the License, or (at your option) any later version.

    This library is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
    Library General Public License for more details.

    You should have received a copy of the GNU Library General Public
    License along with this library; if not, write to the Free
    Software Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
    See: COPYING.LB
*/
/* $RCSfile: ISODIGIT.C $
   $Locker:  $	$Name:  $	$State: Exp $

	int isodigit(int ch);

	Test if ch is an octal digit.

	Return:
		0: ch is not '0'..'7'
		else: ch is no octal digit

*/

#include <portable.h>
#include "dynstr.h"

#ifndef lint
static char const rcsid[] = 
	"$Id: ISODIGIT.C 1.1 1996/12/11 06:22:46 ska Exp $";
#endif

int isodigit(int ch)
{	return ch >= '0' && ch <= '7';
}
